.\" shorthand for double quote that works everywhere.
.ds q \N'34'
.TH FBDEV __drivermansuffix__ __vendorversion__
.SH NAME
fbdev \- video driver for TI's OMAP 3 SoCs with a POWERVR SGX graphics core
.SH SYNOPSIS
.nf
.B "Section \*qDevice\*q"
.BI "  Identifier \*q"  devname \*q
.B  "  Driver \*qfbdev\*q"
\ \ ...
.B EndSection
.fi
.SH DESCRIPTION
.B fbdev
is an __xservername__ driver for PowerVR SGX.  This is an accelerated
driver using EXA and DRI2, the following framebuffer depths are
supported: 8, 15, 16, 24, 32. RandR multi-head configuration is
supported for builtin LCD and TV.
.SH SUPPORTED HARDWARE
The 
.B fbdev
driver supports TI's OMAP 3 SoCs with a POWERVR SGX graphics core.
.SH CONFIGURATION DETAILS
Please refer to __xconfigfile__(__filemansuffix__) for general configuration
details.  This section only covers configuration details specific to
this driver.
.PP
For this driver it is not required to specify modes in the screen 
section of the config file.  The
.B fbdev
driver uses RandR configuration for modesetting.
.PP
The following driver 
.B Options
are supported:
.TP
.BI "Option \*qPerfTime\*q \*q" integer \*q
Periodically print the SGX performance counters: number of hardware and software
copy and solid fill operations, cache flushes and invalidates.  The time is
specified in milliseconds.  This option is only effective when the driver has
been compiled with --enable-perf.  Default: 0/off.
.TP
.BI "Option \*qPerfReset\*q \*q" boolean \*q
Reset the SGX performance counters after printing them.  This option is only
effective when the driver has been compiled with --enable-perf.  Default: off.
.TP
.BI "Option \*qTestCopy\*q \*q" boolean \*q
Performs a blit using a CRC pattern, then reads back the memory and verifies the
CRC.  Significant performance penalties will be incurred when enabling this
option!  Default: off.
.TP
.BI "Option \*qTestCopyOnly\*q \*q" boolean \*q
Only perform the blit using the CRC pattern; do not perform the real blit
afterwards.  Enabling this will cause incorrect rendering.  Default: off.
.TP
.BI "Option \*qRenderSync\*q \*q" boolean \*q
Wait for rendering to complete.  Default: on.
.TP
.BI "Option \*qVSync\*q \*q" boolean \*q
Synchronize pageflip or blit with scanout. Default: on.
.TP
.BI "Option \*qSwapMethod\*q \*q" string \*q
Select the method used for buffer swap. Default: blit.
.br
blit    \-\- Use blit from the back buffer to the front buffer.
.br
flip    \-\- Exchange back and front buffers.
.TP
.BI "Option \*qPageFlipBuffers\*q \*q" integer \*q
Number of page flip buffers to use. Default: 3.
.TP
.BI "Option \*qFlipStatsTime\*q \*q" integer \*q
Periodically print the page flip statistics: number of swap requests,
render complete events, flip complete events etc. The time is specified in
milliseconds.  This option is only effective when the driver has
been compiled with --enable-flip-stats.  Default: 0/off.
.TP
.BI "Option \*qCanScreenSizeChange\*q \*q" boolean \*q
Can screen size be changed via XRandR? Default: off.
.SH "SEE ALSO"
__xservername__(__appmansuffix__), __xconfigfile__(__filemansuffix__), xorgconfig(__appmansuffix__), Xserver(__appmansuffix__),
X(__miscmansuffix__)
.SH AUTHORS
Written by Nokia.
